## gsasl 2.2.2

=== debian/changelog ===
gsasl (2.2.2-4ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (lp: #2130179). Remaining changes:
    - d/rules: disable LTO to fix FTBFS on s390x due to timeout
      (LP #2083243)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 Oct 2025 08:54:01 +0100

gsasl (2.2.2-4) unstable; urgency=medium

  * Move to pkg-security, drop 10+year inactive Uploaders.
  * Use watch v5.
  * salsa-ci: Drop custom lrc/rdep jobs.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 19 Sep 2025 15:29:36 +0200

gsasl (2.2.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 16 Aug 2025 20:10:57 +0200

gsasl (2.2.2-2ubuntu1) questing; urgency=medium

  * Merge with Debian experimental (LP: #2111860). Remaining changes:
    - d/rules: disable LTO to fix FTBFS on s390x due to timeout (LP #2083243)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 19 Jun 2025 12:55:32 -0700

gsasl (2.2.2-2) experimental; urgency=medium

  * Add explicit make dependencies.  Closes: #1105377.
  * Acknowledge NMU.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 15 May 2025 09:38:35 +0200

gsasl (2.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update tests/gsasl-dovecot-gssapi.sh for dovecot 2.4 (Closes: #1104411)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 02 May 2025 12:14:12 -0400

gsasl (2.2.2-1) unstable; urgency=medium

  * watch: Look for git-archive source tarball instead.
  * New upstream version 2.2.2
  * Bootstrap build from git-archive sources.
    - Build-Depends on git, gnulib (and forgotten) gengetopt, gperf.
    - Uses gnulib-dpkg.mk to checkout gnulib clone.
    - Use ./bootstrap instead of calling autoreconf directly.
  * Add Recommends:gnulib-l10n to gsasl, for gnulib translations.
  * tests: Check that gnulib translations work.
  * Drop no longer needed gperf lintian-overrides.
  * salsa-ci: Drop not particular useful armel/armhf/riscv jobs.
  * Improve d/copyright to silence lrc.
  * Fix crossbuilds, inspired by Helmut Grohne's patch for libidn2.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 30 Mar 2025 22:09:20 +0200

gsasl (2.2.1-2) unstable; urgency=medium

  * salsa-ci.yml: Modernize.
  * Standards-Version: 4.7.2.
  * libgsasl-dev: Depends:pkgconf instead of pkg-config.
  * Drop unused builddep dblatex.
  * d/salsa-ci.yml: Add arm/riscv jobs.
  * Run wrap-and-sort -satbk.
  * Use execute_after instead of override.
  * gbp.conf: Use DEP14 and debian-branch=debian/latest.
  * Bump debian/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 27 Mar 2025 09:07:58 +0100

gsasl (2.2.1-1willsync1ubuntu1) oracular; urgency=medium

  * Disable LTO to fix FTBFS on s390x (times out building test-parser).
    (LP: #2083243)

 -- Adrien Nader <adrien.nader@canonical.com>  Mon, 30 Sep 2024 14:57:10 +0200
