=== debian/control ===
Source: gsasl
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 gengetopt,
 gettext,
 git,
 gnulib,
 gperf,
 help2man,
 libgnutls28-dev,
 libgssglue-dev,
 libidn-dev,
 libntlm0-dev,
 pkgconf,
 texinfo,
 valgrind-if-available,
Build-Depends-Indep:
 gtk-doc-tools,
 libglib2.0-dev,
Vcs-Browser: https://salsa.debian.org/debian/gsasl
Vcs-Git: https://salsa.debian.org/debian/gsasl.git
Homepage: https://www.gnu.org/software/gsasl/
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: gsasl
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnulib-l10n,
Description: GNU SASL command line utility
 GNU SASL is an implementation of the Simple Authentication and
 Security Layer framework and a few common SASL mechanisms. SASL is
 used by network servers (e.g., IMAP, SMTP) to request authentication
 from clients, and in clients to authenticate against servers.
 .
 This package contains the GNU SASL command line tool.

Package: gsasl-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks:
 libgsasl7 (<< 1.10.0-2),
Replaces:
 libgsasl7 (<< 1.10.0-2),
Description: GNU SASL platform independent files
 GNU SASL is an implementation of the Simple Authentication and
 Security Layer framework and a few common SASL mechanisms. SASL is
 used by network servers (e.g., IMAP, SMTP) to request authentication
 from clients, and in clients to authenticate against servers.
 .
 This package contains translation of diagnostic messages.

Package: gsasl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Breaks:
 gsasl (<< 1.10.0-2),
Replaces:
 gsasl (<< 1.10.0-2),
Depends:
 ${misc:Depends},
Description: GNU SASL documentation
 GNU SASL is an implementation of the Simple Authentication and
 Security Layer framework and a few common SASL mechanisms. SASL is
 used by network servers (e.g., IMAP, SMTP) to request authentication
 from clients, and in clients to authenticate against servers.
 .
 This package contains documentation related to GNU SASL.

Package: libgsasl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Breaks:
 libgsasl7-dev (<< 1.10.0-2),
Replaces:
 libgsasl1-dev,
 libgsasl7-dev (<< 1.10.0-2),
Provides:
 libgsasl7-dev,
Depends:
 libgsasl18 (= ${binary:Version}),
 libgssglue-dev,
 libidn-dev,
 libntlm0-dev,
 pkgconf,
 ${misc:Depends},
Description: Development files for the GNU SASL library
 GNU SASL is an implementation of the Simple Authentication and
 Security Layer framework and a few common SASL mechanisms. SASL is
 used by network servers (e.g., IMAP, SMTP) to request authentication
 from clients, and in clients to authenticate against servers.
 .
 This package contain all files necessary for developing programs that
 use GNU SASL.  You will need this package if you want to build a
 program that uses the GNU SASL library.

Package: libgsasl18
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gsasl-common,
Description: GNU SASL library
 GNU SASL is an implementation of the Simple Authentication and
 Security Layer framework and a few common SASL mechanisms. SASL is
 used by network servers (e.g., IMAP, SMTP) to request authentication
 from clients, and in clients to authenticate against servers.
 .
 Supported mechanisms are ANONYMOUS, EXTERNAL, LOGIN, PLAIN, SECURID, NTLM,
 DIGEST-MD5, CRAM-MD5, SCRAM-SHA-1, SCRAM-SHA-1-PLUS, GS2-KRB5, GSSAPI.
 .
 This package includes the GNU SASL shared library that is required
 by applications using GNU SASL.  You normally don't need to install
 it manually.
