=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/gnulib/debian/gnulib-dpkg.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
DOPACKAGES = $(shell dh_listpackages)

%:
	dh $@ --without autoreconf --builddirectory=build \
		-O--dbgsym-migration="gsasl-dbg (<< 1.8.0-9~)"

dh_gnulib_patch: pull

pull: dh_gnulib_clone
	./bootstrap --gnulib-srcdir=$(GNULIB_DEB_DEBIAN_GNULIB) --pull --skip-po

gen: dh_gnulib_patch
	./bootstrap --gnulib-srcdir=$(GNULIB_DEB_DEBIAN_GNULIB) --gen

execute_before_dh_auto_configure: dh_gnulib_clone pull dh_gnulib_patch gen
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_configure --reload-all-buildenv-variables --builddirectory=build-native -- --disable-gtk-doc
	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_build --builddirectory=build-native
	mkdir -p build/doc
	cp -v build-native/doc/gsasl.1 build-native/doc/gsasl-api-error-labels.texi build/doc/
endif

CONFIGURE_FLAGS = \
		--disable-rpath \
		--without-libgcrypt \
		--with-gssapi-impl=gssglue \
		--with-packager=Debian \
		--with-packager-version=$(DEB_VERSION) \
		--with-packager-bug-reports=https://bugs.debian.org/
ifneq ($(filter gsasl-doc,$(DOPACKAGES)),)
CONFIGURE_FLAGS += --enable-gtk-doc
else
CONFIGURE_FLAGS += --disable-gtk-doc
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

execute_after_dh_auto_build:
ifneq ($(filter gsasl-doc,$(DOPACKAGES)),)
	rm -f doc/gsasl.html
	make -C build/doc gsasl.html
endif
