=== debian/tests/control ===
Tests:
 libgsasl,
Depends:
 build-essential,
 libgsasl-dev,
 man,
 pkg-config,

Tests:
 gsasl,
Depends:
 build-essential,
 gsasl,
 man,
Restrictions:
 superficial,

Tests:
 gsasl-scram-pbkdf2,
Depends:
 gsasl,
 valgrind-if-available,
Restrictions:
 allow-stderr,

Tests:
 gsasl-dovecot-gssapi,
Depends:
 dovecot-gssapi,
 dovecot-imapd,
 gsasl,
 iproute2 | net-tools,
 krb5-admin-server,
 krb5-kdc,
 valgrind-if-available,
Restrictions:
 allow-stderr,

Tests:
 gsasl-mailutils-cram,
Depends:
 gsasl,
 mailutils-imap4d,
 valgrind-if-available,
Restrictions:
 allow-stderr,

Tests:
 gsasl-mailutils-gs2krb5-gssapi,
Depends:
 gsasl,
 iproute2 | net-tools,
 krb5-admin-server,
 krb5-kdc,
 mailutils-imap4d,
 valgrind-if-available,
Restrictions:
 allow-stderr,

Tests:
 gsasl-mailutils-tls,
Depends:
 gnutls-bin,
 gsasl,
 mailutils-imap4d,
 valgrind-if-available,
Restrictions:
 allow-stderr,

Test-Command: env LC_ALL=sv_SE.UTF-8 gsasl --version | tee /dev/stdout | grep 'Skrivet av'
Features:
 test-name=gsasl-gnulib-l10n,
Depends:
 gnulib-l10n,
 gsasl,
 locales-all,
